#section4 {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
}
#torchepileinventaire:checked ~ #section4 .nuit,
#torchepileinventaire:checked ~ #section4 .nuitdouille {
  background: radial-gradient(transparent, #000);
}
#torchepileinventaire ~ #section4 .nuit,
#torchepileinventaire ~ #section4 .nuitdouille {
  display: block;
}
#section4 .nuit {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.96);
}
#torchepileinventaire ~ #section4 .needlumiere {
  position: absolute;
  top: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  left: 40%;
  font-weight: bold;
  font-size: 1rem;
  text-align: center;
  width: 415px;
  height: 50px;
  z-index: 1011;
  background-color: rgba(147, 144, 144, 0.5);
}
#torchepileinventaire:checked ~ #section4 .needlumiere {
  display: none;
}
#portesection4 ~ #section4 #labelportesection4 {
  width: 136px;
  height: 624px;
  background-color: transparent;
  position: absolute;
  top: 272px;
  left: 31px;
  z-index: 101;
  cursor: pointer;
}

#recupboulon ~ #section4 .infogroup {
  width: 31px;
  height: 48px;
  position: absolute;
  top: 692px;
  left: 534px;
  z-index: 101;
  cursor: not-allowed;
}
#bouloninventaire:checked ~ #section4 .infogroup, #bouloninventaire ~ #section4 .infogroup2 {
display: none;
}
#bouloninventaire:checked ~ #section4 .infogroup2, #bouloninventaire ~ #section4 .infogroup {
  display: block;
  }
#bouloninventaire:checked ~ #section4 .infogroup2 {
  width: 31px;
  height: 48px;
  position: absolute;
  top: 692px;
  left: 534px;
  z-index: 101;
  cursor: not-allowed;
}
/*boulon*/
#recupboulon:checked ~ #section4 .inforecupboulon {
  display: block;
}

.inforecupboulon {
  position: absolute;
  width: 35px;
  height: 35px;
  top: 782px;
  left: 565px;
}
#recupboulon ~ #section4 .inforecupboulon {
  display: none;
}
#recupboulon:checked ~ #section4 .inforecupboulon {
  display: block;
}
#recupboulon ~ #section4 #labelrecupboulon {
  position: absolute;
  width: 35px;
  height: 35px;
  top: 782px;
  left: 565px;
  cursor: pointer;
}

#bouloninventaire ~ #inventaire ul #labelbouloninventaire {
  cursor: pointer;
  background-image: url("../items/014-nut.png");
  background-repeat: no-repeat;
  height: 12px;
  display: inline-block;
  padding: 10px 6px;
}

#bouloninventaire:checked ~ #inventaire ul #labelbouloninventaire {
  outline: 2px solid yellow;
  z-index: 9999;
}

/*Combine graisse */

#labelgraisseinventaire {
  cursor: pointer;
  background-image: url("../items/014-nut-oil.png");
  background-repeat: no-repeat;
  height: 12px;
  display: inline-block;
  padding: 10px 6px;
}
#graisseinventaire:checked ~ #inventaire ul #labelgraisseinventaire {
  outline: 2px solid yellow;
  z-index: 9999;
}
#graisseinventaire ~ #inventaire ul #labelgraisseinventaire {
  cursor: pointer;
  background-image: url("../items/014-nut-oil.png");
  background-repeat: no-repeat;
  height: 12px;
  display: inline-block;
  padding: 10px 6px;
}
#graisseinventaire:checked ~ #inventaire ul #labelgraisseinventaire {
  outline: 2px solid yellow;
  z-index: 9999;
}
#graisseinventaire:checked ~ #inventaire ul #graissebrulee {
  display: block;
}
#graisseinventaire ~ #inventaire ul #graissebrulee {
  display: none;
}
#huileinventaire:checked ~ #inventaire ul #labelhuileinventaire {
  outline: 2px solid yellow;
  z-index: 9999;
}
#huileinventaire ~ #inventaire ul #labelcombinegraisse {
  display: none !important;
}
#huileinventaire:checked ~ #inventaire ul #labelcombinegraisse {
  display: block !important;
}
#combinegraisse ~ #inventaire ul #labelgraisseinventaire,
#combinegraisse:checked ~ #inventaire ul #labelhuileinventaire,
#combinegraisse:checked ~ #inventaire ul #labelboulon {
  display: none;
}
#combinegraisse:checked ~ #inventaire ul #labelgraisseinventaire {
  display: block;
}
#huileinventaire:checked ~ #inventaire .huilecheck,
#bouloninventaire:checked ~ #inventaire .bouloncheck {
  display: block !important;
}
#huileinventaire ~ #inventaire .huilecheck,
#bouloninventaire ~ #inventaire .bouloncheck,
#combinegraisse:checked ~ #inventaire #combinegraissegroup,
#combinegraisse:checked:checked ~ #inventaire ul #itemboulon,
#combinegraisse:checked:checked ~ #inventaire ul #itemhuile {
  display: none !important;
}
#combinegraisse ~ #section2 #labelcombinegraisse:after {
  cursor: pointer;
  content: "Combiner";
}
#combinegraisse:checked ~ #section2 #labelcombinegraisse:after {
  cursor: default;
  content: "";
  display: none;
}
#labelcombinegraisse {
  position: absolute;
  top: 370px;
  left: 575px;
  z-index: 9999;
  background-color: #fff;
  cursor: pointer;
  border: 2px solid #999;
  padding: 30px 30px 70px 30px;
  font-family: "stanberryregular";
}
#labelcombinegraisse:after {
  content: "ok";
  padding: 5px 15px;
  background-color: green;
  color: #fff;
  display: block;
  width: 50px;
  left: 50px;
  position: absolute;
  z-index: 999;
  margin-top: 10px;
  text-align: center;
  font-family: "stanberryregular";
}
#labelcombinegraisse:hover:after {
  background-color: #019201;
}
/* fin Combine graisse */

/*outil*/
#recupoutil:checked ~ #section4 .inforecupoutil {
  display: block;
}

.inforecupoutil {
  position: absolute;
  width: 18px;
  height: 55px;
  top: 472px;
  left: 1193px;
}
#recupoutil ~ #section4 .inforecupoutil {
  display: none;
}
#recupoutil:checked ~ #section4 .inforecupoutil {
  display: block;
}
#recupoutil ~ #section4 #labelrecupoutil {
  position: absolute;
  width: 18px;
  height: 55px;
  top: 472px;
  left: 1193px;
  cursor: pointer;
}

#outilinventaire ~ #inventaire ul #labeloutilinventaire {
  cursor: pointer;
  background-image: url("../items/018-tools.png");
  background-repeat: no-repeat;
  height: 12px;
  display: inline-block;
  padding: 10px 6px;
}

#outilinventaire:checked ~ #inventaire ul #labeloutilinventaire {
  outline: 2px solid yellow;
  z-index: 9999;
}

/* boulon gras*/
#graisseinventaire:checked ~ #section4 .infogroup2,
#graisseinventaire ~ #section4 .miseenplaceboulongroup {
  display: none;
}
#graisseinventaire ~ #section4 .infogroup2,
#graisseinventaire:checked ~ #section4 .miseenplaceboulongroup {
  display: block;
}
#miseenplaceboulon ~ #section4 #labelmiseenplaceboulon {
  width: 31px;
  height: 48px;
  position: absolute;
  top: 692px;
  left: 534px;
  z-index: 101;
  cursor: pointer;
}
.infomiseenplaceboulon {
  width: 31px;
  height: 48px;
  position: absolute;
  top: 692px;
  left: 534px;
  z-index: 101;
}
.infooutil {
  width: 86px;
  height: 150px;
  position: absolute;
  top: 431px;
  left: 1124px;
  z-index: 101;
}

/*fer a souder */
.infoferasouder {
  position: absolute;
  width: 80px;
  height: 50px;
  top: 569px;
  left: 812px;
  z-index: 101;
}
#soudemotherboard:checked ~ #inventaire #itemmotherboard,
#soudemotherboard:checked ~ #section4 .infoferasouder,
#soudemotherboard:checked ~ #section4 .infoferasouder2,
#cpuinventaire:checked ~ #section4 .soudemotherboardgroup,
#soudecpu:checked ~ #inventaire #itemcpu {
  display:none!important;
}
 #recupmotherboard:checked ~ #section4 .infoferasouder,
 #motherboardinventaire ~ #section4 .infoferasouder2,
 #motherboardinventaire ~ #section4 #labelsoudemotherboard,
 #soudemotherboard:checked ~ #inventaire #itemmotherboard,
 #cpuinventaire ~ #section4 .soudecpugroup {
   display:none;
 }
 #recupmotherboard:checked ~ #section4 .infoferasouder2,
 #motherboardinventaire:checked ~ #section4 .infoferasouder2,
 #motherboardinventaire:checked ~ #section4 #labelsoudemotherboard,
 #cpuinventaire:checked ~ #section4 .soudecpugroup {
  display:block;
 }
.infoferasouder2 {
  position: absolute;
  width: 80px;
  height: 50px;
  top: 569px;
  left: 812px;
  z-index: 101;
}
#soudemotherboard ~ #section4 .infosoudemotherboard {
  display: none;
}
#soudemotherboard:checked ~ #section4 .infosoudemotherboard {
  display: block;
}
#soudemotherboard ~ #section4 #labelsoudemotherboard {
  width: 80px;
  height: 50px;
  top: 569px;
  left: 812px;
  z-index: 101;
  position: absolute;
  cursor: pointer;
}
.infosoudemotherboard {
  width: 80px;
  height: 50px;
  top: 569px;
  left: 812px;
  z-index: 101;
  position: absolute;
}

.infosoudecpu {
  background-color: transparent;
  position: absolute;
  width: 80px;
  height: 50px;
  top: 569px;
  left: 812px;
  z-index: 101;
}
#soudecpu ~ #section4 .infosoudecpu {
  display: none;
}

#soudecpu:checked ~ #section4 .infosoudecpu {
  display: block;
}
#soudecpu ~ #section4 #labelsoudecpu {
  position: absolute;
  width: 80px;
  height: 50px;
  top: 569px;
  left: 812px;
  cursor: pointer;
}

#motherboardcpuinventaire ~ #inventaire ul #labelmotherboardcpuinventaire {
  cursor: pointer;
  background-image: url("../items/motherboardcpu.png");
  background-repeat: no-repeat;
  height: 12px;
  display: inline-block;
  padding: 10px 6px;
}

#motherboardcpuinventaire:checked ~ #inventaire ul #labelmotherboardcpuinventaire {
  outline: 2px solid yellow;
  z-index: 9999;
}
 /*fin fer a souder */
 
#miseenplaceboulon ~ #section4 .infomiseenplaceboulon,
#miseenplaceboulon:checked ~ #inventaire #itemgraisse,
#miseenplaceboulon ~ #section4 #recupoutil,
#miseenplaceboulon:checked ~ #section4 .infooutil,
#miseenplaceboulon ~ #section4 #labelserreboulon,
#serreboulon ~ #section4 .infoserreboulon,
#serreboulon:checked ~ #inventaire #itemoutil,
#recupoutil ~ #section4 #labelserreboulon {
  display: none;
}
#miseenplaceboulon:checked ~ #section4 .infomiseenplaceboulon,
#miseenplaceboulon:checked ~ #section4 #recupoutil,
#serreboulon:checked ~ #section4 .infoserreboulon  {
  display: block;
}
#outilinventaire:checked ~ #section4 .miseenplaceboulongroup,
#serreboulon:checked ~ #inventaire #itemoutil{
  display: none!important;
}
#outilinventaire:checked ~ #section4 #labelserreboulon  {
  display: block!important;
}
#serreboulon ~ #section4 #labelserreboulon {
  width: 31px;
  height: 48px;
  position: absolute;
  top: 692px;
  left: 534px;
  z-index: 101;
  cursor: pointer;
}
.infoserreboulon {
  width: 31px;
  height: 48px;
  position: absolute;
  top: 692px;
  left: 534px;
  z-index: 101;
}

/* Rallume l'électricité */
#serreboulon:checked ~ * .nuit {
  background-color: unset!important;
  background: unset!important;
}
/* fin Rallume l'électricité */

/* Supprime la torche */
#serreboulon:checked ~ * .needlumiere, 
#serreboulon:checked ~ #inventaire #itemtorchepile {
  display: none!important;
}
/* fin Supprime la torche */
#serreboulon:checked ~ #section2 .nuitdouille {
  background: rgba(0, 0, 0, 0.8);
}
#serreboulon:checked ~ #section2 .infoplomb {
  display: none!important;
}
#serreboulon ~ #section2 .infoplomb2 {
  display: none;
}
#serreboulon:checked ~ #section2 .infoplomb2 {
  display: block!important;
}